#pragma once

#include "game/info.hpp"
#include "game/prota.hpp"
#include "game/sprite.hpp"

class Bola : public Sprite {
   public:
    explicit Bola(Jd8::Surface gfx, Prota* sam);

    void draw() override;
    void update();

   protected:
    Uint8 contador_;
    Prota* sam_;
};
